Subject: [mpls] Extension headers vs Control Plane states

From: Vasilenko Eduard <[email-masked]>
Date: Thu, 22 Apr 2021 20:01:39 +0000

Hi all,

SR has the concept of “function” and “argument”. Different types of VTN have the assumption of additional headers.

The market in general discusses how to move more information in the data plane.

If the information is simple and short – It may not hurt the data plane too much, but in some cases could greatly simplify Control Plane.

Overall synergy effect may be positive.

Well, “programmability” is abused and applied now in all cases that is wrong. No need to create an additional burden for the data plane if there is no synergy.

Positive example 1:

It has been discovered by OTTs that “pacing” is the strongest too for goodput. They all practice it now.

It is a good idea to preserve pacing over the routed network.

The proposal is to divide time for slots.

Then mark the packet (add small header) with the slot it belongs to.

Then on every hop schedule packets with different slots marking to different time slots.

It is effectively the “anti-burst” solution.

It is not possible to do with the control plane in principle. QoS is the data plane feature.

Positive example 2:

Carrier would like to get maximum from his investment into fiber:DWDM:IP (10:3:1).

All links from one node in the busy hour should have equal load – it would delay the need for link upgrade. TE is needed to control the bandwidth of every link.

If we have the Controller (that is not possible for multi-vendor) – then all states could be there.

If we have to use Control Plane then we would stress the scalability of the Control Plane. Because we need a few planes of full mesh RSVP LSPs between all PEs.

P should subtract every LSP bandwidth from link capacity to understand utilization.

200 PEs (real case) gives 40000 LSPs through P. Multiply by at least 4 planes (depends on the diversity in the interface bandwidth). Ops – it is above the limits of any vendor.

Add a small header. Mark on the P utilization level – give PE the information to change the path.

Positive example 3:

OAM timestamp or copy at wire-speed directly in the data plane.

The alternative is to direct the packet to the Control Plane (with much less accuracy and performance).

I could generate more positive examples if I would think more.

The conclusion: we should not assume that state synchronization should be always through the control plane, should be the possibility to deliver the state over the data plane too.

Then should be the justification why somebody is trying to add a header into the data plane. Do not permit to bloat data plane just because it is possible.

“because our network is programmable from now on” is not the legal justification. The primary IP network cost is still in the data plane.

Interrogate everybody who would come to you for the additional header.

Eduard

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Fomin, Sergey (Nokia - US/Mountain View)
Sent: Thursday, April 22, 2021 3:57 AM
To: Tarek Saad <tsaad=[email-masked]<mailto:tsaad=[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] Reminder on MPLS Open DT

Hi Tarek,

I'm a bit lost between "track1" and "track2" scopes..

Wiki says:

              Week 2 and 4: Track 1 "Below the BoS"

              Week 3 and 5: Track 2 "Above the BoS"

And the agenda looks like some mix of the two?

--

Sergey

-----Original Message-----

From: mpls <[email-masked]<mailto:[email-masked]>> On Behalf Of Tarek Saad

Sent: Wednesday, April 21, 2021 12:16 PM

To: [email-masked]<mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>

Subject: Re: [mpls] Reminder on MPLS Open DT

Hi WG,

A tentative agenda for tomorrow's Open MPLS DT meeting is posted at:

https://trac.ietf.org/trac/mpls/wiki/track2<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fmpls%2Fwiki%2Ftrack2&data=04%7C01%7Chaoyu.song%40futurewei.com%7C4db9ab82c0284306a60b08d905b0462a%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637547076938223342%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=GRXgwIglG1YUhN0mJx1Ea%2B8XYLab%2FbPUull8L3WHt9M%3D&reserved=0>

Let me know if you want to add a discussion point.

Regards,

Tarek (for mpls wg chairs)

On 4/19/21, 10:58 AM, "Tarek Saad" <[email-masked]<mailto:[email-masked]>> wrote:

    All,

    I added some minutes taken during the 1st meeting we held on 4/8 at:

    https://trac.ietf.org/trac/mpls/wiki/meeting20210408<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fmpls%2Fwiki%2Fmeeting20210408&data=04%7C01%7Chaoyu.song%40futurewei.com%7C4db9ab82c0284306a60b08d905b0462a%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637547076938233337%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=LCtkR54sgUB%2B6OPmJH23nOdvulrqc1tv%2FIC%2BIVzpLFM%3D&reserved=0>

    Regards,

    Tarek/wg chairs

    On 4/13/21, 12:08 PM, "Loa Andersson" <[email-masked]<mailto:[email-masked]>> wrote:

        Design Team'

        We have our first Track 1 meting on 2021-04-15.

        The agenda will be found at:

        https://trac.ietf.org/trac/mpls/wiki/track1-agenda<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fmpls%2Fwiki%2Ftrack1-agenda&data=04%7C01%7Chaoyu.song%40futurewei.com%7C4db9ab82c0284306a60b08d905b0462a%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637547076938233337%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=PHh1icBtINZAXkBmIZJewVH%2FqAMr%2F25niasEUq6Ez6Q%3D&reserved=0>

        WebEx info:

        https://mailarchive.ietf.org/arch/msg/mpls/jU7XZe9UeTQYU_SVSd0qT4YRAZU/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fmpls%2FjU7XZe9UeTQYU_SVSd0qT4YRAZU%2F&data=04%7C01%7Chaoyu.song%40futurewei.com%7C4db9ab82c0284306a60b08d905b0462a%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637547076938243330%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=1pa7cJfgcBvnKq1CDfBSb9Zscr6%2FAPqcWaKBp%2B7WLAw%3D&reserved=0>

        Loa/wg chairs

        --

        Loa Andersson                        email: [email-masked]<mailto:[email-masked]>

        Senior MPLS Expert                          [email-masked]<mailto:[email-masked]>

        Bronze Dragon Consulting             phone: +46 739 81 21 64

    Juniper Business Use Only

Juniper Business Use Only

_______________________________________________

mpls mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/mpls<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fmpls&data=04%7C01%7Chaoyu.song%40futurewei.com%7C4db9ab82c0284306a60b08d905b0462a%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637547076938243330%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=s9V6gLFf8Te1eSIMDjO%2BAmCWvpveQqufq2Eg8NAYpS8%3D&reserved=0>

_______________________________________________

mpls mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/mpls<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fmpls&data=04%7C01%7Chaoyu.song%40futurewei.com%7C4db9ab82c0284306a60b08d905b0462a%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637547076938253322%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=vwCeWqzdL7gyL2%2BS4G%2FmZiZMbpHFmO8DSHJ5tw%2FpPcg%3D&reserved=0>